<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>onesemble</title>
  <base href="/">
  <!-- Global site tag (gtag.js) - Google Analytics -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=UA-166081736-1"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', 'UA-166081736-1');
  </script>

  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/svg+xml" href="assets/img/brand.svg" sizes="any">
  <style>
    body, html {
      height: 100%;
    }
    .app-loading {
      position: relative;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      height: 100%;
    }
    .app-loading .spinner {
      height: 200px;
      width: 200px;
      animation: rotate 2s linear infinite;
      transform-origin: center center;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
    }
    .app-loading .spinner .path {
      stroke-dasharray: 1, 200;
      stroke-dashoffset: 0;
      animation: dash 1.2s ease-in-out infinite;
      stroke-linecap: round;
    }
    @keyframes rotate {
      100% {
        transform: rotate(360deg);
      }
    }
    @keyframes dash {
      0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
        stroke: #422134;
      }
      50% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -35px;
        stroke: #983E51;
      }
      100% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -124px;
        stroke: #C74E61;
      }
    }
  </style>
</head>
<body onload="setBodyCss()">
  <eos-root>
    <!-- loading layout replaced by app after startupp -->
    <div class="app-loading">
      <img src="assets/img/brand.svg" alt="App Logo" width="80" height="80">
      <svg class="spinner" viewBox="25 25 50 50">
        <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="2" stroke-miterlimit="10"></circle>
      </svg>
    </div>
  </eos-root>
  <script>
    /*
     * Zum zentrieren des Spinners
     */
    function setBodyCss(){
      document.getElementsByTagName("body")[0].style = 'height: auto;';
      document.getElementsByTagName("html")[0].style = 'height: auto;';
    }
  </script>
</body>
</html>
